public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
* [PATCH] Fixing: Handling of unattended installers target overwrite mode.
@ 2024-10-31 16:33 alexander.heinisch via isar-users
  2024-11-06 12:33 ` Uladzimir Bely
  0 siblings, 1 reply; 2+ messages in thread
From: alexander.heinisch via isar-users @ 2024-10-31 16:33 UTC (permalink / raw)
  To: isar-users; +Cc: jan.kiszka, Alexander Heinisch

From: Alexander Heinisch <alexander.heinisch@siemens.com>

This bug was introduced in 934fe3ef due to over-motivated search and replace.

Signed-off-by: Alexander Heinisch <alexander.heinisch@siemens.com>
---
 .../deploy-image/files/usr/bin/deploy-image-wic.sh          | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh b/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
index e6ee426d..91c0518b 100755
--- a/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
+++ b/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
@@ -130,9 +130,11 @@ if ! cmp /dev/zero "$installer_target_dev" -n 1M; then
                 --yesno "WARNING: Target device is not empty! Continue anyway?" 5 60; then
         exit 0
     else
-        if [ "$installer_target_overwrite" != "installer_target_overwrite" ]; then
+        if [ "$installer_target_overwrite" != "OVERWRITE" ]; then
             echo "Target device is not empty! -> Abort"
-            echo "If you want to override existing data set \"installer_target_overwrite=installer_target_overwrite\""
+            echo "If you want to override existing data set \"installer.target.overwrite=OVERWRITE\" on your kernel cmdline or edit your \"auto.install\" file accordingly."
+
+            exit 1
         fi
     fi
 fi
-- 
2.43.0

-- 
You received this message because you are subscribed to the Google Groups "isar-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to isar-users+unsubscribe@googlegroups.com.
To view this discussion visit https://groups.google.com/d/msgid/isar-users/20241031163340.785408-1-alexander.heinisch%40siemens.com.

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [PATCH] Fixing: Handling of unattended installers target overwrite mode.
  2024-10-31 16:33 [PATCH] Fixing: Handling of unattended installers target overwrite mode alexander.heinisch via isar-users
@ 2024-11-06 12:33 ` Uladzimir Bely
  0 siblings, 0 replies; 2+ messages in thread
From: Uladzimir Bely @ 2024-11-06 12:33 UTC (permalink / raw)
  To: alexander.heinisch, isar-users

On Thu, 2024-10-31 at 17:33 +0100, alexander.heinisch via isar-users
wrote:
> From: Alexander Heinisch <alexander.heinisch@siemens.com>
> 
> This bug was introduced in 934fe3ef due to over-motivated search and
> replace.
> 
> Signed-off-by: Alexander Heinisch <alexander.heinisch@siemens.com>
> ---
>  .../deploy-image/files/usr/bin/deploy-image-wic.sh          | 6
> ++++--
>  1 file changed, 4 insertions(+), 2 deletions(-)
> 
> diff --git a/meta-isar/recipes-installer/deploy-
> image/files/usr/bin/deploy-image-wic.sh b/meta-isar/recipes-
> installer/deploy-image/files/usr/bin/deploy-image-wic.sh
> index e6ee426d..91c0518b 100755
> --- a/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-
> image-wic.sh
> +++ b/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-
> image-wic.sh
> @@ -130,9 +130,11 @@ if ! cmp /dev/zero "$installer_target_dev" -n
> 1M; then
>                  --yesno "WARNING: Target device is not empty!
> Continue anyway?" 5 60; then
>          exit 0
>      else
> -        if [ "$installer_target_overwrite" !=
> "installer_target_overwrite" ]; then
> +        if [ "$installer_target_overwrite" != "OVERWRITE" ]; then
>              echo "Target device is not empty! -> Abort"
> -            echo "If you want to override existing data set
> \"installer_target_overwrite=installer_target_overwrite\""
> +            echo "If you want to override existing data set
> \"installer.target.overwrite=OVERWRITE\" on your kernel cmdline or
> edit your \"auto.install\" file accordingly."
> +
> +            exit 1
>          fi
>      fi
>  fi
> -- 
> 2.43.0
> 

Applied to next, thanks.

-- 
Best regards,
Uladzimir.



-- 
You received this message because you are subscribed to the Google Groups "isar-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to isar-users+unsubscribe@googlegroups.com.
To view this discussion visit https://groups.google.com/d/msgid/isar-users/901325bf1904b594edced2a20406fa9a0e6af444.camel%40ilbers.de.

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2024-11-06 12:34 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-10-31 16:33 [PATCH] Fixing: Handling of unattended installers target overwrite mode alexander.heinisch via isar-users
2024-11-06 12:33 ` Uladzimir Bely

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox